%global pypi_name QtAwesome
%global simple_name qtawesome

Name:		python-%{pypi_name}
Version:	0.4.4
Release:	5%{?dist}
Summary:	FontAwesome icons in PyQt and PySide applications
License:	MIT and OFL
URL:		https://github.com/spyder-ide/%{simple_name}
Source0:	https://github.com/spyder-ide/%{simple_name}/archive/v%{version}/%{simple_name}-%{version}.tar.gz
BuildArch:	noarch
 
BuildRequires:	python2-setuptools
BuildRequires:	python2-devel
 
BuildRequires:	python3-setuptools
BuildRequires:	python3-devel

#provides font files
#./qtawesome/fonts/fontawesome-webfont.ttf
Provides:	bundled(elusiveicons-fonts) = 001.000
#./qtawesome/fonts/elusiveicons-webfont.ttf
Provides:	bundled(fontawesome-fonts) = 4.4.1

%description
QtAwesome enables iconic fonts such as Font Awesome and Elusive.

It is a port to Python - PyQt / PySide of the QtAwesome C++ library by 
Rick Blommers.

%package -n     python2-%{pypi_name}
Summary:	FontAwesome icons in PyQt and PySide applications
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:	python2-QtPy
Requires:	python2-six

%description -n python2-%{pypi_name}

QtAwesome enables iconic fonts such as Font Awesome and Elusive.

It is a port to Python - PyQt / PySide of the QtAwesome C++ library by 
Rick Blommers.

%package -n     python3-%{pypi_name}
Summary:	FontAwesome icons in PyQt and PySide applications
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:	python3-QtPy
Requires:	python3-six

%description -n python3-%{pypi_name}

QtAwesome enables iconic fonts such as Font Awesome and Elusive.

It is a port to Python - PyQt / PySide of the QtAwesome C++ library by 
Rick Blommers.

%prep
%autosetup -n %{simple_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


%files -n python2-%{pypi_name} 
%license LICENSE
%doc README.md
%{python2_sitelib}/qtawesome
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%license LICENSE
%doc README.md
%{python3_sitelib}/qtawesome
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.4-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4.4-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 16 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.3-6
- Rebuild for Python 3.6

* Sun Oct 02 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 0.3.3-5
- Fixed typo on dependency

* Thu Sep 29 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 0.3.3-4
- Added license tag
- Added doc file 
- Added provides

* Thu Sep 29 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 0.3.3-3
- Fix source url

* Thu Sep 29 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 0.3.3-2
- Fix license file installation

* Thu Aug 11 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 0.3.3-1
- Initial package.
